Ubuntu

8086:2a42 No backlight display Acer Aspire 5734Z

Reported by travis sparks on 2011-08-14
96
This bug affects 18 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I first encountered this bug in Natty Narwhal. However my inexperience with working with Ubuntu prevented me from filing a proper bug report. Basically, what's happening is, the system starts to boot up, then the screen goes black. The computer is still running and booting normally, however, the back light for the display does not come on. This was confirmed by shining a light into the screen and seeing the Ubuntu desktop.

I performed a fresh installation of Maverick Meerkat and then did an upgrade to Natty Narwhal. The same problem. However, when booted with a previous Linux kernel version, there is no problem. This leads me to believe the problem is with the kernel, and not Xorg as the back light fails to power on at kernel boot.

This bug is also effecting the current Oneiric Ocelot build which is Alpha 3. This bug report pertains to Oneiric Ocelot.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-8-generic 3.0.0-8.10
ProcVersionSignature: Ubuntu 3.0.0-8.10-generic 3.0.1
Uname: Linux 3.0.0-8-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 4151 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd6700000 irq 46'
   Mixer name : 'Realtek ALC272X'
   Components : 'HDA:10ec0272,10250459,00100001'
   Controls : 20
   Simple ctrls : 12
CasperVersion: 1.278
Date: Sun Aug 14 16:47:43 2011
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110812)
MachineType: Acer Aspire 5734Z
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: noprompt cdrom-detect/try-usb=true persistent file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- nomodeset BOOT_IMAGE=/casper/vmlinuz
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-8-generic N/A
 linux-backports-modules-3.0.0-8-generic N/A
 linux-firmware 1.59
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/20/2010
dmi.bios.vendor: Acer
dmi.bios.version: V1.02
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Aspire 5734Z
dmi.board.vendor: Acer
dmi.board.version: V1.02
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.02
dmi.modalias: dmi:bvnAcer:bvrV1.02:bd05/20/2010:svnAcer:pnAspire5734Z:pvrV1.02:rvnAcer:rnAspire5734Z:rvrV1.02:cvnAcer:ct10:cvrV1.02:
dmi.product.name: Aspire 5734Z
dmi.product.version: V1.02
dmi.sys.vendor: Acer

description: updated
summary: - No display backlight
+ No backlight display Acer Aspire 5734Z

Thanks julianw. I appreciate your comments but this is not the same issue. The backlight is not powering on at all. However, I will test the experimental package just to be sure.

Brad Figg (brad-figg) on 2011-08-15
Changed in linux (Ubuntu):
status: New → Confirmed
Isa Dsouza (isa-dsouza) wrote :

The problem needs to be fixed, I am scared that in the next release 11.10 the old kernel 2.6.35-30 will be wiped out & I will no longer be able to boot into Ubuntu. I know its free but to be a challenger is one thing, Ubuntu can be the champion, with bugs like this I dont see a future. I may have to actually pay Microsoft for their equally buggy software. but at least they dont have basic problems like display faults.

Douglas Bodden (dcb-76) wrote :

Also affected here with an Acer laptop using Intel Mobile Series 4 graphics. Given the difficulties of the workarounds on resume from hibernate/sleep, I'm keeping the affected system on the 10.10 release until this bug is fixed. If additional information is useful to the developers, please ask and I'll provide whatever level of detail is needed.

Douglas Bodden (dcb-76) wrote :

Sorry - to be clear, like Travis above I am seeing no backlight at all after the plymouth splash screen when booting; it's not a brightness control issue - it's just turned off completely.

Chris (chrisdbrown16) wrote :

This also affects me on an Acer Aspire 5332. After the last Kernel update it wiped 2.6.35-30 so I have to suffer. I have a workaround but it's not ideal. Hope this gets fixed as I don't want to abandon Linux.

Hey Chris (chrisdbrown16) would you care to explain your workaround? It might help get this thing get tracked down and fixed.

A workaround has been found, and confirmed to work. After booting into the OS, running this command in the terminal activates the back light.

$ sudo setpci -s 00:02.0 F4.B=0

Unfortunately this command must be run after every boot. When resuming from suspend, the back light does not return.

Isa Dsouza (isa-dsouza) wrote :

On my emachine e725 while in the bootloader itself I press the Fn + > keys. This is a brightness control that actually works & Ubuntu boots fine with the Kernel Version 2.6.38-11, Please refer to Bug #830907 for more details from apport.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel currently in the release pocket than the one you tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.0.0-11.17
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

As per the automated request for further testing, I have downloaded the latest Oneiric Ocelot daily build (20110912) which uses a newer development kernel. The bug is still present. I have also noticed that while the proposed fix (see comment #9 above) does restore backlighting, but not after resuming from suspend. I have also noticed that OpenGL based applications that attempt to run in full screen cause the backlight to be deactivated. When these programs are shut down, the backlight remains off, and the default resolution is changed to that of the OpenGL program. I tested this with two different programs, Zsnes, and Gens, neither of which is available in the official repositories. These programs are also built for 32-bit systems, and were running on 64-bit using 32-bit compatibility libraries. At this point I am unsure as to whether this behavior is the result of the programs in question, or a result of the bug. I will be re-configuring the X server to use other drivers than i915 and test the results. I will also attempt to run OpenGL applications that are available in the official repositories, and built for 64-bit. I will post my findings here when I have more information.

This bug also affects Fedora Core 15.

Changed in linux (Fedora):
status: New → Confirmed
Julian Wiedmann (jwiedmann) wrote :

When writing to 0xF4, you're pretty much doing what the kernel from Kamal's ppa is supposed to do.
What's the content of /sys/class/backlight (on both Natty and latest Oneiric)?

This is the result from the latest Oneiric build.

ubuntu@ubuntu:~$ ls -hal /sys/class/backlight
total 0
drwxr-xr-x 2 root root 0 2011-09-13 22:35 .
drwxr-xr-x 49 root root 0 2011-09-13 22:35 ..
lrwxrwxrwx 1 root root 0 2011-09-13 22:36 acpi_video0 -> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video0
lrwxrwxrwx 1 root root 0 2011-09-13 22:36 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight

This is the output result from 11.04 Natty Narwhal

ubuntu@ubuntu:~$ ls -hal /sys/class/backlight
total 0
drwxr-xr-x 2 root root 0 2011-09-13 22:48 .
drwxr-xr-x 49 root root 0 2011-09-13 22:48 ..
lrwxrwxrwx 1 root root 0 2011-09-13 22:50 acpi_video0 -> ../../devices/virtual/backlight/acpi_video0

On a related note, I attempted to run Oneiric with an /etc/X11/xorg.conf file in place that referenced the i915 driver. I was greeted by the "Try or Install" prompt with the backlight activated, but no wallpaper. When I attempted to "Try Ubuntu" X crashed.
The system remained up and running with an activated backlight, albeit without X. Virtual consoles 1-6 were still up and running and from this standpoint, the system functioned normally as a text-only system. This has not occurred before. This leads me to believe the problem may in fact be related to the Intel graphics driver. However, more testing is necessary.

I would also like to point out that the output for Natty was taken from the LiveCD. I currently do NOT have 11.04 installed due to this bug. I have been running Oneiric from a 4GB flash drive with occasional installs to a dedicated partition on my hard drive specifically for testing purposes. My primary OS continues to be Ubuntu 10.10 Maverick Meerkat.

Julian Wiedmann (jwiedmann) wrote :

Okay, let's stick with Oneiric. I assume that when the machine comes up with no backlight, adjusting the brightness (by using Hotkeys or the GUI) doesn't work either?

If that's correct, here's a couple of things you can test:
1. see what's in acpi_video/bl_power
2. when you try to adjust the brightness, do acpi_video/brightness and /actual_brightness change? Are they still in sync?
3. control the backlight acpi_video0 manually (by writing to acpi_video0/brightness) and see if /brightness or /actual_brightness change
4. reboot with 'acpi_backlight=vendor' on the command line (& confirm that acpi_video0 no longer shows up in sys/class/backlight) and go through the same routine with intel_backlight

[the documentation for /sys/class/backlight is at http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-oneiric.git;a=blob_plain;f=Documentation/ABI/stable/sysfs-class-backlight ]

(btw: what's in /sys/class/backlight on your Maverick system? Are you able to change the brightness on that system?)

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel currently in the release pocket than the one you tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.0.0-11.18

I have officially divorced myself from the Ubuntu community. I will no longer be assisting in the work on this bug. Since this bug is also affecting the Fedora project, I have decided to direct my efforts towards it, instead.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.0.0-12.19

I've verified that this bug still exists in the release version of Ubuntu 11.10.

Douglas Bodden (dcb-76) on 2011-10-20
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.0.0-12.20

I've installed the latest mainline kernel from the URL below and verified the bug still exists.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0.7-oneiric/

If that's not the right kernel to use, please point me in the right direction. I'm happy to help but am new to this process.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

@Douglas,

Can you try the kernel available at:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-rc10-oneiric/

Douglas Bodden (dcb-76) wrote :

Tried the kernel you specified. The problem still exists.

This bug is upstream. It affects all distributions with kernel 2.6.38 and up. It is due to a specific module "i915". This is the driver for various Intel based graphics adapters.

Douglas Bodden (dcb-76) wrote :

I assume the conversation here is related?

https://lkml.org/lkml/2011/6/15/369

Travis, is there any way for you identify the bug # upstream so I can follow it and determine when to bother re-testing this on my distributions?

Thanks,
Doug

Changed in linux (Ubuntu):
status: Confirmed → Triaged
tags: added: kernel-bug-exists-upstream
Beñat Agirretxe (b-agirretxe) wrote :

THIS SOLUTION WORKS:

http://ubuntuforums.org/showthread.php?t=1743301

READ UNKNOWN 47'S ANSWER!!!

Douglas Bodden (dcb-76) wrote :

Benat:

That solution works (or worked) in some cases, but not all - does it work for you when resuming from suspend/hibernate? For many it does not (or did not, in an older version of the kernel).

What version of the kernel are you claiming success with?

Thanks
Doug

Changed in linux (Ubuntu):
status: Triaged → Confirmed
Reid Boyce (reidboyce) wrote :

This is still affecting the most current release, I am on an emachines E725 laptop, which is made by Acer. I hope this bug gets fixed soon. I have found a fix in the past and I will try it again. I will report back to this thread later.

I found a temporary fix that works very well. It is not perfect, but it is far better, and far more convenient, than the "setpci" fix. With this fix, the backlight does not automatically come on, but it makes the brightness control keys functional again, and will turn on the backlight with just a keystroke. This fix works with my Acer Aspire 5734z. Full credit goes to Stryker777 of the Ubuntu Forums. He proposed this fix during Natty Narwhal Alpha 2. The following is his post, taken from the Ubuntu Forums Archive.

  "I had to hit shift to get into grub, select a previous version to boot, then once booted, edit /etc/default/grub with the following:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_backlight=vendor"
GRUB_CMDLINE_LINUX="acpi_osi=Linux"

then run:
sudo update-grub

Now I can hit my brightness buttons to get the backlight to come on.

Temp fix but works on my Acer Aspire 5734z"

This fix works with Oneiric Ocelot. You can use "sudo setpci -s 00:02.0 F4.B=0" to activate the backlight, then make changes to grub. Reboot for the change to take effect. As I have stated, the backlight will NOT turn on automatically, but brightness control keys are functional, and will turn on the backlight. This even works resuming from "suspend" and "hibernate".

sma (m-0622) wrote :

I have the same problem with the notebook Acer TravelMate 5735Z.

Using the Live-CD of Natty or Oneiric, I boot into a black screen (no backlight). The described workaround in #33 (see posting obove) works fine. But I hope there will be a bugfix soon, because using the control keys after every suspend and hibernate are inconvenient.

Brad Figg (brad-figg) on 2012-02-15
Changed in linux (Ubuntu):
importance: Undecided → High
jonata (jbopen) wrote :

Bug still present on Ubuntu 12.04 Beta2.

jonata (jbopen) wrote :

Bug is still present on ubuntu kernel 3.2.0-24 (generic, 64bit)

Anthony Lorenzo (tone0511430) wrote :

I have Acer Aspire 4736z and I have tried Ubuntu 11.10 and 12.04 and this bug is still present. I have used OpenSUSE and Linux Mint 13 and it's also there. I hope somebody finds a permanent fix.

f0rmat (f0rmat) wrote :

I've stopped using Ubuntu now since this bug first appeared.... I refuse to use a system that needs hacks to work.

Mark McKenzie (mark-fkzsx) wrote :

As expected this bug also impacts Mint, beginning with Mint 10 and on and on and on. Nine worked.

Just in case it might help, when using an external monitor, opening a video file in most players or video editors will turn on the laptop back light. Opening the app does nothing, but the app opening the file will turn on the backlight. Oddly, using the movie player included with the Mint distribution will not.

summary: - No backlight display Acer Aspire 5734Z
+ 8086:2a42 No backlight display Acer Aspire 5734Z

travis sparks, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

no longer affects: linux (Ubuntu)
affects: linux (Fedora) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Medium
tags: added: bot-stop-nagging
removed: kernel-request-3.0.0-11.17 kernel-request-3.0.0-11.18 kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20
tags: added: bios-outdated-v1.06
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers